LINUX.ORG.RU
ФорумAdmin

Cannot load the ionCube PHP Loader

 


0

1

Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS No Loader is installed, please try to run this command or contact support: sh /scripts/update_ioncube restart

Starting cwp-phpfpm: Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS

как профиксить?

Не знаю что за ionCube, но по версии внутреннго API(20170718) предполагаю что у тебя PHP версии 7.2 или 7.3, а ты пытаешься поставить модуль под версию 20151012, который видимо для 7.0 собран.

shooter93 ★★ ()
Ответ на: комментарий от wxw

убрал из php.ini ; zend_extension = /usr/local/ioncube/ioncube_loader_lin_7.0.so ; zend_extension = /usr/local/ioncube/ioncube_loader_lin_7.0.so

проблема осталась No Loader is installed, please try to run this command or contact support: sh /scripts/update_ioncube restart

Regacar ()
Ответ на: комментарий от Regacar

ну а сам php обносить до версии 7.1? А хотя нет, вам судя по ошибке наоборот надо версию старше. так у вас CWP? Это она так отчаянно хочет этот ioncube. Видимо нужно искать причину того где и как отключить это желание именно в панели или что там у вас требует этот ioncube.

Вы бы побольше информации накинули.

http://forum.centos-webpanel.com/php/how-to-install-ioncube-loader-in-php-on-centos-linux/

CWP Admin under – PHP Settings –> PHP Addons может его где-то тут и отключить можно раз это аддон

abcq ()
Последнее исправление: abcq (всего исправлений: 3)
Ответ на: комментарий от skyman

нащел сайт со всеми версиями https://serverpilot.io/docs/install-ioncube-loader/

скачал и **012 и *718 заменил файлы в папке /usr/local/ioncube sh /scripts/restart_cwpsrv таже ошибка что и в первом моем сообщении

==

sh /scripts/update_ioncube restart

Stopping cwpsrv: [ OK ] Starting cwpsrv: [ OK ] Stopping cwpsrv-phpfpm: [ OK ] Starting cwpsrv-phpfpm: Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS [ OK ] Stopping cwp-phpfpm: [ OK ] Starting cwp-phpfpm: Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS Cannot load the ionCube PHP Loader - it was built with configuration API320151012,NTS, whereas running engine is API320170718,NTS

ошибка одна и таже что менял файлы что не менял пофигу

Regacar ()
Ответ на: комментарий от Regacar

ну так я вам про это и говорю, гуглите где и как CWP ставит свои аддоны, в какие файлы что пишет, какие конфиги создает. У вас по сути задача подчистить вручную сейчас этот аддон раз у вас сама панель не хочет из-за этого работать. Как подчистите, так и будете потом экспериментировать с версиями PHP и этим аддоном.

попробуйте по такому пути посмотреть для начала /usr/local/cwp/.conf/

в конце концов посмотрите скрипты запуска службы которая эту панель запускает, там явно будет видно что и откуда запущено

ps aux + grep find команды пакетного менеджера если она ставилась через него.

у вас полно способов найти эту панель в системе и разобраться с ней.

abcq ()